/* Allgemeine Einstellungen */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background: #faf8eb;
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
}

/* Entfernt den blauen Tap-Highlight-Effekt auf Mobilgeräten */
* {
    -webkit-tap-highlight-color: transparent;
    -webkit-touch-callout: none; /* verhindert das iOS-Popup bei langem Drücken */
}


h1{
    font-size: 20px;
}

h2 {
    font-size: 17px;
}

/* Navigation */
header {
    position: fixed;
    top: 0;
    left: 0;
    height: 64px;
    width: 100%;
    background: #eeeacf; /* Haupthintergrundfarbe Navigation */
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    z-index: 1000;
}

.logo {
    position: fixed;
    left: 10px;
    top: 7px;
    width: 50px;
    height: 50px;
    background: #eeeacf;
    z-index: 1001;
}

.oben {
   margin-left: 50px;
    
}

.xx {
    font-size: 14px;
    font-style: italic;
}

.voll {
    width: 400px;
    height: auto;
}

.strich {
    position: fixed;
    top: 64px;
    height: 1px;
    background: #000;
    left: 0;
    width: 100%;
    z-index: 1002;
}

.farbe1 {
    color: #2e4a3a;
    font-size: 28px;
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    letter-spacing: 3px;
    background: #eeeacf;
    
}


/* Navigation - oben rechts */
nav {
    display: flex;
    align-items: center;
    
    
}

.nav-links {
    list-style: none;
    display: flex;
    background: #eeeacf;
}

    .nav-links li {
        margin-left: 20px;
        background: #eeeacf;
          
    }

        .nav-links li a {
            background: #eeeacf;
            color: #2e4a3a;
            text-decoration: none;
            font-size: 15px;
            font-weight: bold;
            box-shadow: inset 0 0 0 0 #2e4a3a;
            margin: 0 -.25rem;
            padding: 0 .25rem;
            transition: color .3s ease-in-out, box-shadow .5s ease-in-out;
        }

            .nav-links li a:hover {
                box-shadow: inset 100px 0 0 0 #2e4a3a;
                color: #eeeacf;
            }

/* Links im Footer 

.foo a {
    color: #2e4a3a;
    text-decoration: none;
    font-size: 15px;
    font-weight: bold;
    background: #eeeacf;
}

.foo a:hover {
    text-decoration: overline;
} */

/* Burger-Menü; für Handy & Tablet */
.burger {
    display: none;
    flex-direction: column;
    cursor: pointer;
    background: #eeeacf;
}

    .burger div {
        width: 30px;
        height: 4px;
        background: #2e4a3a; /* Balkenfarbe */
        margin: 5px;
    }

/* Hauptinhalt */
main {
    margin-top: 70px;
    padding: 20px;
    text-align: center;
    background: #faf8eb; /* Haupthintergrundfarbe für Main */
    color: #2e4a3a;
    font-size: 16px;
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
}

/* Footer */
footer {
    position: fixed;
    height: 60px;
    bottom: 0;
    left: 0;
    width: 100%;
    background: #faf8eb;
    color: #2e4a3a;
    text-align: center;
    padding: 25px;
    font-size: 12px;
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    z-index: 1000;
}

/* Responsive Design */
@media screen and (max-width: 1050px) {
    .farbe1 {
        color: #2e4a3a;
        font-size: 24px;
        font-family: "Outfit", sans-serif;
        font-optical-sizing: auto;
        font-weight: 600;
        font-style: normal;
        letter-spacing: 2px;
        background: #eeeacf;
    }

    
}

@media screen and (max-width: 1000px) {
    .farbe1 {
        color: #2e4a3a;
        font-size: 20px;
        font-family: "Outfit", sans-serif;
        font-optical-sizing: auto;
        font-weight: 600;
        font-style: normal;
        letter-spacing: 2px;
        background: #eeeacf;
    }

    
}

     @media screen and (max-width: 960px) {
        .nav-links {
            display: none;
            flex-direction: column;
            background: #eeeacf;
            position: absolute;
            top: 60px;
            right: 0;
            width: 100%;
            text-align: center;
                    }

            .nav-links li {
                padding: 15px;
                border-bottom: 1px solid #000;
                 }

        .burger {
            display: flex;
        }
        .voll {
            width: 200px;
            height: auto;
        }
        
        
    }

.impressum1 {
    width: 155px;
    height: auto;
}

.impressum2 {
    width: 120px;
    height: auto;
}


.raum {
    width: 100%;
    max-width: 1200px;
    height: auto;
    border: 1px solid #000;
}

.bildstartseite {
    width: 100%;
    max-width: 1000px;
    height: auto;
    border: 1px solid #000;
}

.outfit-sandy {
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
}

/* Start für das Kontaktformular */

form {
    max-width: 440px;
    margin: auto;
}

textarea {
    width: 100%;
    padding: 8px;
    margin: 5px 0;
    border: 1px solid #000;
}

input {
    width: 100%;
    padding: 8px;
    margin: 5px 0;
    border: 1px solid #000;
}
    
    
 label {
    display: block;
    text-align: left;
}

.error {
    color: red;
}

.success {
    color: green;
}

/* Ende für das Kontaktformular */

/* Start Abschicken Button Kontaktformular */

.submit-button {
    position: relative;
    overflow: hidden;
    padding: 8px 36px;
    background: transparent;
    border: 1px solid #000;
    color: #000;
    cursor: pointer;
    z-index: 1;
    transition: color 0.3s ease-in-out, box-shadow 0.5s ease-in-out, background-color 0.2s;
    font-family: 'Outfit', sans-serif;
    font-size: 16px;
    -webkit-appearance: none; /* Fix Safari */
    touch-action: manipulation; /* Haptisches Feedback*/
}

    .submit-button::before {
        content: '';
        position: absolute;
        top: 0;
        left: -100%;
        width: 100%;
        height: 100%;
        background: #2e4a3a;
        z-index: -1;
        transition: left 0.4s ease-in-out;
    }

    .submit-button:hover {
        color: white;
        box-shadow: 0 0 8px rgba(0, 0, 0, 0.2);
    }

        .submit-button:hover::before {
            left: 0;
        }

/* Touch-spezifische Anpassung + FIX Safari*/
@media (hover: none) {
    .submit-button {
        color: #000 !important;
    }

        .submit-button:active {
            background-color: #2e4a3a;
            color: white;
            transition: none;
        }
}


/* Ende Abschicken Button Kontaktformular */

